﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\TCTF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_MANAMENT_DJT') 
 CREATE TABLE T_TCTF_EVENT_MANAMENT_DJT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVENTDES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTAXPAYERNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXTYPE BIGINT DEFAULT 0 NOT NULL,
FDJTJBR BIGINT DEFAULT 0 NOT NULL,
FBJSKJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFKJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_ATTACHMENT') 
 CREATE TABLE T_TCTF_EVENT_ATTACHMENT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_CLASS') 
 CREATE TABLE T_TCTF_EVENT_CLASS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_CLASS_L') 
 CREATE TABLE T_TCTF_EVENT_CLASS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_DETAILS_DJT') 
 CREATE TABLE T_TCTF_EVENT_DETAILS_DJT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVENTDES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTAXPAYERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXTYPE BIGINT DEFAULT 0 NOT NULL,
FDJTJBR BIGINT DEFAULT 0 NOT NULL,
FBJSKJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFKJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_HANDLER_DJT') 
 CREATE TABLE T_TCTF_EVENT_HANDLER_DJT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFINISHDATEDJT DATETIME,
FHANDLERSITUATION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_MANAG_HANDLE') 
 CREATE TABLE T_TCTF_EVENT_MANAG_HANDLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEVENTCLASS BIGINT DEFAULT 0 NOT NULL,
FCHECKDATE DATETIME,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FFINISHDATE DATETIME,
FIMPORTLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FJBR BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICES BIGINT DEFAULT 0 NOT NULL,
FHANDLESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESEVENTCODE VARCHAR(200) DEFAULT ' ' NOT NULL,
FEVENTBACKGROUND NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSELFISITUATION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTAXPROCESSINGPLAN NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTF_EVENT_MANAGEMENT') 
 CREATE TABLE T_TCTF_EVENT_MANAGEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEVENTCLASS BIGINT DEFAULT 0 NOT NULL,
FCHECKDATE DATETIME,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FFINISHDATE DATETIME,
FIMPORTLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FJBR BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICES BIGINT DEFAULT 0 NOT NULL,
FHANDLESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FEVENTBACKGROUND NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSELFISITUATION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTAXPROCESSINGPLAN NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESEVENTCODE VARCHAR(50) DEFAULT ' ' NOT NULL
);
 EXEC p_AlterColumn 'T_TCTF_EVENT_CLASS', 'FLONGNUMBER', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_TCTF_EVENT_CLASS_L', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';



/**End C:\anzhuang\PDM_UPGRADE\PDM1\TCTF_table.sql **/
